Package net.shibboleth.idp.saml.profile.config.logic

# Class AllowedSAMLPresentersPredicate

java.lang.Object
net.shibboleth.idp.saml.profile.config.logic.AllowedSAMLPresentersPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

@Deprecated(since="5.0.0", forRemoval=true) public class AllowedSAMLPresentersPredicate extends Object implements Predicate<ProfileRequestContext>
Deprecated, for removal: This API element is subject to removal in a future version.
Predicate which evaluates the inbound `AbstractSAMLEntityContext.getEntityId()` against a specified collection of entityIDs.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Set<String>`
`allowedPresenters`
Deprecated, for removal: This API element is subject to removal in a future version.
The set of allowed presenters.
`private org.slf4j.Logger`
`log`
Deprecated, for removal: This API element is subject to removal in a future version.
Logger.

## Constructor Summary

Constructors
Constructor
Description
`AllowedSAMLPresentersPredicate()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setAllowedPresenters(Collection<String> presenters)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the allowed presenters.
`boolean`
`test(ProfileRequestContext input)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Deprecated, for removal: This API element is subject to removal in a future version.
Logger.

### allowedPresenters

@Nonnull private Set<String> allowedPresenters
Deprecated, for removal: This API element is subject to removal in a future version.
The set of allowed presenters.

## Constructor Details

### AllowedSAMLPresentersPredicate

public AllowedSAMLPresentersPredicate()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Details

### setAllowedPresenters

public void setAllowedPresenters(@Nullable Collection<String> presenters)
Deprecated, for removal: This API element is subject to removal in a future version.
Set the allowed presenters.

Parameters:
  `presenters` - the allowed presenters

### test

public boolean test(@Nullable ProfileRequestContext input)
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`